/*
  cp856.c.  Produce a table of PC Code Page 856.
  F. da Cruz, Columbia University, 1999.
*/
char *name[] = {
    "Cyrillic A",
    "Cyrillic Be",
    "Cyrillic Ve",
    "Cyrillic Ghe",
    "Cyrillic De",
    "Cyrillic Ie",
    "Cyrillic Zhe",
    "Cyrillic Ze",
    "Cyrillic I",
    "Cyrillic short I",
    "Cyrillic Ka",
    "Cyrillic El",
    "Cyrillic Em",
    "Cyrillic En",
    "Cyrillic O",
    "Cyrillic Pe",
    "Cyrillic Er",
    "Cyrillic Es",
    "Cyrillic Te",
    "Cyrillic U",
    "Cyrillic Ef",
    "Cyrillic Ha",
    "Cyrillic Tse",
    "Cyrillic Che",
    "Cyrillic Sha",
    "Cyrillic Shcha",
    "Cyrillic Hard Sign",
    "Cyrillic Yeri",
    "Cyrillic Soft Sign",
    "Cyrillic E",
    "Cyrillic Yu",
    "Cyrillic Ya",
    "Cyrillic a",
    "Cyrillic be",
    "Cyrillic ve",
    "Cyrillic ghe",
    "Cyrillic de",
    "Cyrillic ie",
    "Cyrillic zhe",
    "Cyrillic ze",
    "Cyrillic i",
    "Cyrillic short i",
    "Cyrillic ka",
    "Cyrillic el",
    "Cyrillic em",
    "Cyrillic en",
    "Cyrillic o",
    "Cyrillic pe",
    "Cyrillic er",
    "Cyrillic es",
    "Cyrillic te",
    "Cyrillic u",
    "Cyrillic ef",
    "Cyrillic ha",
    "Cyrillic tse",
    "Cyrillic che",
    "Cyrillic sha",
    "Cyrillic shcha",
    "Cyrillic hard sign",
    "Cyrillic yeri",
    "Cyrillic soft sign",
    "Cyrillic e",
    "Cyrillic yu",
    "Cyrillic ya",
    "Lower left box corner",
    "Middle box bottom",
    "Middle box top",
    "Left middle box side",
    "Center box bar horizontal",
    "Box intersection",
    "Right middle box side double",
    "Center box vertical double",
    "Lower left box corner double",
    "Upper left box corner double",
    "Middle box bottom double",
    "Middle box top double",
    "Left middle box side double",
    "Center box bar horizontal double",
    "Box intersection double",
    "Upper right box corner",
    "Fill character light",
    "Fill character medium",
    "Fill character heavy",
    "Center box bar vertical",
    "Right middle box side",
    "Numero sign",
    "Paragraph (section) sign",
    "Upper right box corner double",
    "Lower right box corner double",
    "Lower right box corner",
    "Upper left box corner",
    "Solid fill character",
    "Solid fill character bottom half",
    "Solid fill character left half",
    "Solid fill character right half",
    "Solid fill character upper half",
    "Greek letter alpha",
    "Greek letter beta",
    "Greek letter Gamma",
    "Greek letter pi",
    "Greek letter Sigma",
    "Greek letter sigma",
    "Greek letter mu",
    "Greek letter tau",
    "Greek letter fi",
    "Greek letter theta",
    "Greek letter Omega",
    "Greek letter delta",
    "Infinity",
    "Greek fi",
    "Greek epsilon",
    "Intersection symbol",
    "Identity symbol",
    "Plus or minus sign",
    "Greater than or equal sign",
    "Less than or equal sign",
    "Integral sign top half",
    "Integral sign bottom half",
    "Divide sign",
    "Nearly equals symbol",
    "Degree symbol",
    "Large center dot",
    "Small center dot",
    "Radical symbol",
    "Superscript n",
    "Superscript 2",
    "Solid square",
    "Required Space"
};

main() {
    int i;
    printf("PC Code Page 856\n");
    printf("char dec col/row oct hex  description\n");
    for (i = 128; i < 256; i++) {
	printf("[%c]  %3d  %02d/%02d  %3o  %2X  %s\n",
	       i, i, i/16, i%16, i, i, name[i-128]);
    }
}
